var gulp;

gulp = require('gulp');


/**
  TODO: Error should stop build.
  @param {(string|Array.<string>)} paths
  @param {Object=} options
  @return {Stream} Node.js Stream.
 */

module.exports = function(paths, options) {
  var coffee, coffee2closure, cond, gutil, plumber, ref, ref1, rename, renameCallback;
  if (options == null) {
    options = {};
  }
  coffee = require('gulp-coffee');
  coffee2closure = require('gulp-coffee2closure');
  cond = require('gulp-cond');
  gutil = require('gulp-util');
  plumber = require('gulp-plumber');
  rename = require('gulp-rename');

  /*
  Example:
  gulp.task 'coffee', ->
    este.coffee paths.coffee, rename: (path) ->
      path.dirname = path.dirname.replace /^src/, (dir) -> 'js'
   */
  renameCallback = (ref = options.rename) != null ? ref : function() {};
  if (!Array.isArray(paths)) {
    paths = [paths];
  }
  return gulp.src((ref1 = this.changedFilePath) != null ? ref1 : paths, {
    base: '.'
  }).pipe(cond(this.changedFilePath, plumber())).pipe(coffee({
    bare: true
  })).on('error', function(err) {
    return gutil.log(gutil.colors.red(err.stack));
  }).pipe(coffee2closure()).pipe(rename(function(path) {
    renameCallback(path);
  })).pipe(gulp.dest('.'));
};
